package cn.com.qmth.examcloud.support.fss;

import cn.com.qmth.examcloud.support.fss.impl.AliyunOssService;
import cn.com.qmth.examcloud.support.fss.impl.TencentCosService;
import cn.com.qmth.examcloud.support.fss.model.FssType;

public class FssFactory {

    /**
     * 获取 文件存储服务实例
     *
     * @param internal 是否内网访问
     * @return
     */
    public static FssService getInstance(boolean internal) {
        if (FssType.ALIYUN_OSS == FssProperty.FSS_TYPE) {
            return new AliyunOssService().setInternal(internal);
        } else if (FssType.TENCENT_COS == FssProperty.FSS_TYPE) {
            return new TencentCosService();
        } else {
            throw new RuntimeException("尚未配置文件存储方式！");
        }
    }

    public static FssService getInstance() {
        // 默认通过内网访问
        return getInstance(true);
    }

}
